# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Fri Sep 13 03:11:40 2024
# ------------------------------------------------

package:
  name: hhsuite
  version: 3.3.0
source:
  patches:
    - fix_cs219_include.patch
    - reformat_pl.patch
  sha256: dd67f7f3bf601e48c9c0bc4cf1fbe3b946f787a808bde765e9436a48d27b0964
  url: https://github.com/soedinglab/hh-suite/archive/v3.3.0.tar.gz
build:
  number: '13'
  run_exports:
    - hhsuite >=3.3.0,<4.0a0
  string: py311pl5321ha36d5f8_13
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_16
    - binutils_impl_linux-aarch64 2.40 hf54a868_7
    - binutils_linux-aarch64 2.40 h1f91aba_2
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.32.3 h68df207_0
    - ca-certificates 2024.8.30 hcefe29a_0
    - cmake 3.30.3 hbb72600_0
    - gcc_impl_linux-aarch64 12.4.0 hfb8d6db_1
    - gcc_linux-aarch64 12.4.0 heb3b579_2
    - gxx_impl_linux-aarch64 12.4.0 h3c1ec91_1
    - gxx_linux-aarch64 12.4.0 h3f57e68_2
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_16
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.40 h9fc2d93_7
    - libcurl 8.10.0 h3ec0cbf_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.3 h5ad3122_0
    - libgcc 14.1.0 he277a41_1
    - libgcc-devel_linux-aarch64 12.4.0 h7b3af7c_101
    - libgcc-ng 14.1.0 he9431aa_1
    - libgomp 14.1.0 he277a41_1
    - libnghttp2 1.58.0 hb0e430d_1
    - libsanitizer 12.4.0 h469570c_1
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx 14.1.0 h3f4de04_1
    - libstdcxx-devel_linux-aarch64 12.4.0 h7b3af7c_101
    - libstdcxx-ng 14.1.0 hf1166c9_1
    - libuv 1.48.0 h31becfc_0
    - libzlib 1.3.1 h68df207_1
    - make 4.4.1 h2a6d0cb_1
    - ncurses 6.5 hcccb83c_1
    - openssl 3.3.2 h86ecc28_0
    - rhash 1.4.4 h31becfc_0
    - sysroot_linux-aarch64 2.17 h5b4a56d_16
    - tzdata 2024a h8827d51_1
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.6 h02f22dd_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h68df207_7
    - ca-certificates 2024.8.30 hcefe29a_0
    - ld_impl_linux-aarch64 2.40 h9fc2d93_7
    - libexpat 2.6.3 h5ad3122_0
    - libffi 3.4.2 h3557bc0_5
    - libgcc 14.1.0 he277a41_1
    - libgcc-ng 14.1.0 he9431aa_1
    - libgomp 14.1.0 he277a41_1
    - libnsl 2.0.1 h31becfc_0
    - libsqlite 3.46.1 hc4a20ef_0
    - libstdcxx 14.1.0 h3f4de04_1
    - libuuid 2.38.1 hb4cce97_0
    - libxcrypt 4.4.36 h31becfc_1
    - libzlib 1.3.1 h68df207_1
    - ncurses 6.5 hcccb83c_1
    - openssl 3.3.2 h86ecc28_0
    - perl 5.32.1 7_h31becfc_perl5
    - pip 24.2 pyh8b19718_1
    - python 3.11.10 hde26a29_0_cpython
    - readline 8.2 h8fc344f_1
    - setuptools 73.0.1 pyhd8ed1ab_0
    - tk 8.6.13 h194ca79_0
    - tzdata 2024a h8827d51_1
    - wheel 0.44.0 pyhd8ed1ab_0
    - xz 5.2.6 h9cdd2b7_0
  run:
    - _openmp_mutex >=4.5
    - libgcc >=12
    - libstdcxx >=12
    - perl >=5.32.1,<5.33.0a0 *_perl5
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
test:
  commands:
    - hhblits -h > /dev/null
    - hhsearch -h > /dev/null
    - hhalign -h > /dev/null
    - reformat.pl > /dev/null
about:
  doc_url: https://github.com/soedinglab/hh-suite/wiki
  home: https://github.com/soedinglab/hh-suite
  license: GPLv3
  license_file: LICENSE
  summary: HH-suite3 for fast remote homology detection and deep protein annotation
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:hh-suite
    - doi:10.1186/s12859-019-3019-7
  recipe-maintainers:
    - milot-mirdita
